# Copyright (c) 2007 oc2pus <toni@links2linux.de>
# Copyright (c) 2007 Hans de Goede <j.w.r.degoede@hhs.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to us at the above email addresses

Name:           freecol
Version:        0.7.3
Release:        1%{?dist}
Summary:        The FreeCol multi-player strategy game
Group:          Amusements/Games
License:        GPL+
URL:            http://www.freecol.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Source1:        %{name}.sh
Source2:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ant ant-nodeps xml-commons-apis xml-commons-resolver latex2html
BuildRequires:  higlayout ImageMagick desktop-file-utils
# needed by netpbm-tools, which is required by latex2html
BuildRequires:  xorg-x11-server-utils
# Doesn't run with gcj, so better build it with icedtea too
BuildRequires:  java-1.7.0-icedtea-devel
BuildArch:      noarch
Requires:       java-1.7.0-icedtea jpackage-utils hicolor-icon-theme
Requires:       higlayout
# icedtea is i386 and x86_64 only, must use ExcludeArch due to koji brokenness
ExcludeArch:    ppc ppc64

%description
FreeCol is a turn-based, multi-player, X based strategy game. FreeCol
is generally comparable to, and has compatible rules with, the
Colonization(R) game by Microprose(R).


%package manual
Summary:        User Documentation for freecol
Group:          Documentation

%description manual
User Documentation for freecol.


%prep
%setup -q -n %{name}
sed -i 's|htlatex|latex2html|g' build.xml
sed -i '/Class-Path:/d' src/MANIFEST.MF
# build against the system version of higlayout and StAX
rm jars/*
ln -s %{_javadir}/higlayout.jar jars


%build
ant clean package manual


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps

install -p -m 644 FreeCol.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -p -m 644 packaging/debian/%{name}.6 $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

cp -a data $RPM_BUILD_ROOT%{_datadir}/%{name}
(cd $RPM_BUILD_ROOT%{_datadir}/%{name}/data/audio && ln -s sfx music)

convert packaging/icons/freecol.ico %{name}.png
install -m 644 %{name}-0.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 %{name}-1.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 644 %{name}-2.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 644 %{name}-3.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_javadir}/%{name}.jar
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files manual
%defattr(-,root,root,-)
%doc doc/FreeCol.pdf doc/FreeCol/*.html doc/FreeCol/*.css doc/FreeCol/*.png


%changelog
* Sat Feb  9 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.3-1
- New upstream release 0.7.3

* Wed Oct  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.2-3
- Remove wstx classpath lookup from the startup script, as we no longer
  require wstx
- .desktop file cleanups

* Tue Oct  2 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.2-2
- Add BuildRequires: xorg-x11-server-utils, to fix generating of images in
  the manual package, see bz 313301
- Drop requires on wstx, it isn't strictly needed, but does speed up things
  significantly, so the Requires will return when wstx hits the repo
- Really remove classpath entry from the manifest

* Sun Sep 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.2-1
- Adapted Packman spec file for Fedora

* Thu Sep 20 2007 Toni Graffy <toni@links2linux.de> - 0.7.2-0.pm.1
- update to 0.7.2

* Fri Aug 31 2007 Toni Graffy <toni@links2linux.de> - 0.7.1-0.pm.2
- build openSUSE-10.3, corrected BuildRequires

* Mon Aug 13 2007 Toni Graffy <toni@links2linux.de> - 0.7.1-0.pm.1
- update to 0.7.1

* Fri Jul 13 2007 Toni Graffy <toni@links2linux.de> - 0.7.0-0.pm.1
- update to 0.7.0

* Sun May 06 2007 Toni Graffy <toni@links2linux.de> - 0.6.1-0.pm.1
- First packaged release 0.6.1
